import { SmzUiGuideBaseStylesBuilder } from './base-styles-builder';
import { SmzUiGuidesBuilder } from './ui-guides-builder';
export declare class SmzUiGuidesCustomStylesBuilder {
    private _builder;
    constructor(_builder: SmzUiGuidesBuilder);
    overlay(): SmzUiGuidesOverlayStylesBuilder;
    blend(): SmzUiGuidesBlendStylesBuilder;
    highlight(): SmzUiGuidesHighlightStylesBuilder;
    get customStyles(): SmzUiGuidesBuilder;
}
export declare class SmzUiGuidesOverlayStylesBuilder extends SmzUiGuideBaseStylesBuilder<SmzUiGuidesOverlayStylesBuilder, SmzUiGuidesCustomStylesBuilder> {
    private _customBuilder;
    constructor(_customBuilder: SmzUiGuidesCustomStylesBuilder);
    get overlay(): SmzUiGuidesCustomStylesBuilder;
}
export declare class SmzUiGuidesBlendStylesBuilder extends SmzUiGuideBaseStylesBuilder<SmzUiGuidesBlendStylesBuilder, SmzUiGuidesCustomStylesBuilder> {
    private _customBuilder;
    constructor(_customBuilder: SmzUiGuidesCustomStylesBuilder);
    get blend(): SmzUiGuidesCustomStylesBuilder;
}
export declare class SmzUiGuidesHighlightStylesBuilder extends SmzUiGuideBaseStylesBuilder<SmzUiGuidesHighlightStylesBuilder, SmzUiGuidesCustomStylesBuilder> {
    private _customBuilder;
    constructor(_customBuilder: SmzUiGuidesCustomStylesBuilder);
    get highlight(): SmzUiGuidesCustomStylesBuilder;
}
